/** 公共字段*/
const commonField = {
  typeParent: 'text',
  typePrimary: 'primary',
  typeSuccess: 'success',
  typeWarning: 'warning',
  queryClass: 'queryBtn', // 查询按钮class
  resetClass: 'resetBtn', // 重置按钮class
  addClass: 'addBtn', // 新增按钮class
  updateClass: 'updateBtn', // 修改按钮class
  delClass: 'delBtn', // 删除按钮class
  importClass: 'importBtn', // 导入按钮class
  exportClass: 'exportBtn', // 导出按钮class
  addClassText: 'addBtnText', // 文字类型的新增按钮class
  resetPasClass: 'resetBtnText', // 文字类型的重置按钮class
  queryName: '查询',
  resetName: '重置',
  addName: '新增',
  updateName: '修改',
  deleteName: '删除',
  dataPower: '数据权限',
  resetPassword: '重置密码',
  exportName: '导出',
  importName: '导入',
  cleanName: '清空',
  viewName: '查看',
  size: 'mini',
  smallSize: 'small',
  queryIcon: 'el-icon-search',
  resetIcon: 'el-icon-refresh',
  addIcon: 'el-icon-plus',
  delIcon: 'el-icon-delete',
  importIcon: 'el-icon-upload',
  exportIcon: 'el-icon-download',
  deleteTypePrimary: 'danger',
  deleteSize: 'small',
  deleteDisabled: 'ids.length === 0',
  cleanTypePrimary: 'danger',
  cleanSize: 'small',
  miniSize: 'mini',
  exportTypePrimary: 'success',
  exportSize: 'small',
  typeText: 'text'
}

export default commonField
