const TokenKey = 'token'
const emailKey = 'email'

export function getToken() {
  return localStorage.getItem(TokenKey) || sessionStorage.getItem(TokenKey)
}

export function setToken(token) {
  return localStorage.setItem(TokenKey, token)
}

export function removeToken() {
  localStorage.removeItem(TokenKey) && sessionStorage.removeItem(TokenKey)
}

export function getEmail() {
  return localStorage.getItem(emailKey) || sessionStorage.getItem(emailKey)
}

export function setEmail(email) {
  return localStorage.setItem(emailKey, email)
}

export function removeEmail() {
  localStorage.removeItem(emailKey) && sessionStorage.removeItem(emailKey)
}
